import sha1 from 'sha-1'
import prettyBytes from 'pretty-bytes'

const generateWireStatistics = (wires) => {
  return wires.map(wire => ({
    peerId: sha1(wire.peerId).toString().substring(0, 100),
    remoteAddress: wire.remoteAddress,
    uploadSpeed: prettyBytes(wire.uploadSpeed()) + 'ps',
    uploaded: prettyBytes(wire.uploaded),
    downloadSpeed: prettyBytes(wire.downloadSpeed()) + 'ps',
    downloaded: prettyBytes(wire.downloaded)
  }))
}

export default generateWireStatistics
